package com.dsk.biz.service;

import com.dsk.biz.domain.bo.BusinessSearchDto;
import com.dsk.biz.domain.vo.BusinessAnalyzeVo;
import com.dsk.common.core.domain.AjaxResult;

import java.util.List;
import java.util.Map;

/**
 * @author lcl
 * @create 2023/8/14
 */
public interface IBusinessOverviewService {

    Map<String, Object> statusStatistics(BusinessSearchDto dto);

    List<BusinessAnalyzeVo> amountAnalyze(BusinessSearchDto dto);

    List<BusinessAnalyzeVo> typeAnalyze(BusinessSearchDto dto);

    List<BusinessAnalyzeVo> categoryAnalyze(BusinessSearchDto dto);

    AjaxResult countGroupByProvince(Map<String,Object> object);

    AjaxResult rangByMoney(Map<String,Object> object);

}
